package requestmapping

import (
	"PaymentCenter/app/constants/common"
	"PaymentCenter/app/http/entities"
	"PaymentCenter/app/http/entities/backend"
)

var BackendRequestMap = map[string]func() interface{}{

	// 商户
	common.ADMIN_V1 + "/merchant/create": func() interface{} { return new(backend.MerchantCreateRequest) },
	common.ADMIN_V1 + "/merchant/update": func() interface{} { return new(backend.MerchantUpdateRequest) },
	common.ADMIN_V1 + "/merchant/list":   func() interface{} { return new(backend.MerchantListRequest) },
	common.ADMIN_V1 + "/merchant/delete": func() interface{} { return new(entities.IdRequest) },
	// 支付方式
	common.ADMIN_V1 + "/paychannel/create": func() interface{} { return new(backend.PayChannelCreateRequest) },
	common.ADMIN_V1 + "/paychannel/update": func() interface{} { return new(backend.PayChannelUpdateRequest) },
	common.ADMIN_V1 + "/paychannel/list":   func() interface{} { return new(backend.PayChannelListRequest) },
	common.ADMIN_V1 + "/paychannel/delete": func() interface{} { return new(entities.IdRequest) },
	// 应用
	common.ADMIN_V1 + "/app/create":  func() interface{} { return new(backend.AppCreateRequest) },
	common.ADMIN_V1 + "/app/update":  func() interface{} { return new(backend.AppUpdateRequest) },
	common.ADMIN_V1 + "/app/list":    func() interface{} { return new(backend.AppListRequest) },
	common.ADMIN_V1 + "/app/delete":  func() interface{} { return new(entities.IdRequest) },
	common.ADMIN_V1 + "/app/decrypt": func() interface{} { return new(backend.GenerateDecryptKeyRequest) },
	// 订单
	common.ADMIN_V1 + "/order/list":     func() interface{} { return new(backend.OrderListRequest) },
	common.ADMIN_V1 + "/order/log/list": func() interface{} { return new(backend.OrderLogsListRequest) },
}
